<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:49:58 CEST 2020 -->
<title>FailurePropagationFactory</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FailurePropagationFactory";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FailurePropagationFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationAnalysis.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html" target="_top">Frames</a></li>
<li><a href="FailurePropagationFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation</div>
<h2 title="Interface FailurePropagationFactory" class="title">Interface FailurePropagationFactory</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/impl/FailurePropagationFactoryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.impl">FailurePropagationFactoryImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">FailurePropagationFactory</span>
extends org.eclipse.emf.ecore.EFactory</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Factory</b> for the model.
 It provides a create method for each non-abstract class of the model.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation"><code>FailurePropagationPackage</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FailurePropagationFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the factory.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/ACIDAvoidable.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">ACIDAvoidable</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html#createACIDAvoidable--">createACIDAvoidable</a></span>()</code>
<div class="block">Returns a new object of class '<em>ACID Avoidable</em>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/ACIDMitigation.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">ACIDMitigation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html#createACIDMitigation--">createACIDMitigation</a></span>()</code>
<div class="block">Returns a new object of class '<em>ACID Mitigation</em>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationAnalysis.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FailurePropagationAnalysis</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html#createFailurePropagationAnalysis--">createFailurePropagationAnalysis</a></span>()</code>
<div class="block">Returns a new object of class '<em>Analysis</em>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FI4FA.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FI4FA</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html#createFI4FA--">createFI4FA</a></span>()</code>
<div class="block">Returns a new object of class '<em>FI4FA</em>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FI4FAAnalysis.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FI4FAAnalysis</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html#createFI4FAAnalysis--">createFI4FAAnalysis</a></span>()</code>
<div class="block">Returns a new object of class '<em>FI4FA Analysis</em>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FI4FASpecification.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FI4FASpecification</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html#createFI4FASpecification--">createFI4FASpecification</a></span>()</code>
<div class="block">Returns a new object of class '<em>FI4FA Specification</em>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FLABehavior.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FLABehavior</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html#createFLABehavior--">createFLABehavior</a></span>()</code>
<div class="block">Returns a new object of class '<em>FLA Behavior</em>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FPTC.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FPTC</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html#createFPTC--">createFPTC</a></span>()</code>
<div class="block">Returns a new object of class '<em>FPTC</em>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FPTCPortSlot.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FPTCPortSlot</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html#createFPTCPortSlot--">createFPTCPortSlot</a></span>()</code>
<div class="block">Returns a new object of class '<em>FPTC Port Slot</em>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FPTCSpecification.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FPTCSpecification</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html#createFPTCSpecification--">createFPTCSpecification</a></span>()</code>
<div class="block">Returns a new object of class '<em>FPTC Specification</em>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FailurePropagationPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html#getFailurePropagationPackage--">getFailurePropagationPackage</a></span>()</code>
<div class="block">Returns the package supported by this factory.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EFactory">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EFactory</h3>
<code>convertToString, create, createFromString, getEPackage, setEPackage</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FailurePropagationFactory</a> eINSTANCE</pre>
<div class="block">The singleton instance of the factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createFPTC--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFPTC</h4>
<pre><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FPTC.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FPTC</a>&nbsp;createFPTC()</pre>
<div class="block">Returns a new object of class '<em>FPTC</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>FPTC</em>'.</dd>
</dl>
</li>
</ul>
<a name="createFLABehavior--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFLABehavior</h4>
<pre><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FLABehavior.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FLABehavior</a>&nbsp;createFLABehavior()</pre>
<div class="block">Returns a new object of class '<em>FLA Behavior</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>FLA Behavior</em>'.</dd>
</dl>
</li>
</ul>
<a name="createFailurePropagationAnalysis--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFailurePropagationAnalysis</h4>
<pre><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationAnalysis.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FailurePropagationAnalysis</a>&nbsp;createFailurePropagationAnalysis()</pre>
<div class="block">Returns a new object of class '<em>Analysis</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Analysis</em>'.</dd>
</dl>
</li>
</ul>
<a name="createFPTCSpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFPTCSpecification</h4>
<pre><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FPTCSpecification.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FPTCSpecification</a>&nbsp;createFPTCSpecification()</pre>
<div class="block">Returns a new object of class '<em>FPTC Specification</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>FPTC Specification</em>'.</dd>
</dl>
</li>
</ul>
<a name="createFPTCPortSlot--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFPTCPortSlot</h4>
<pre><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FPTCPortSlot.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FPTCPortSlot</a>&nbsp;createFPTCPortSlot()</pre>
<div class="block">Returns a new object of class '<em>FPTC Port Slot</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>FPTC Port Slot</em>'.</dd>
</dl>
</li>
</ul>
<a name="createFI4FA--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFI4FA</h4>
<pre><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FI4FA.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FI4FA</a>&nbsp;createFI4FA()</pre>
<div class="block">Returns a new object of class '<em>FI4FA</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>FI4FA</em>'.</dd>
</dl>
</li>
</ul>
<a name="createFI4FASpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFI4FASpecification</h4>
<pre><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FI4FASpecification.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FI4FASpecification</a>&nbsp;createFI4FASpecification()</pre>
<div class="block">Returns a new object of class '<em>FI4FA Specification</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>FI4FA Specification</em>'.</dd>
</dl>
</li>
</ul>
<a name="createACIDAvoidable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createACIDAvoidable</h4>
<pre><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/ACIDAvoidable.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">ACIDAvoidable</a>&nbsp;createACIDAvoidable()</pre>
<div class="block">Returns a new object of class '<em>ACID Avoidable</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>ACID Avoidable</em>'.</dd>
</dl>
</li>
</ul>
<a name="createACIDMitigation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createACIDMitigation</h4>
<pre><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/ACIDMitigation.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">ACIDMitigation</a>&nbsp;createACIDMitigation()</pre>
<div class="block">Returns a new object of class '<em>ACID Mitigation</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>ACID Mitigation</em>'.</dd>
</dl>
</li>
</ul>
<a name="createFI4FAAnalysis--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFI4FAAnalysis</h4>
<pre><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FI4FAAnalysis.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FI4FAAnalysis</a>&nbsp;createFI4FAAnalysis()</pre>
<div class="block">Returns a new object of class '<em>FI4FA Analysis</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>FI4FA Analysis</em>'.</dd>
</dl>
</li>
</ul>
<a name="getFailurePropagationPackage--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getFailurePropagationPackage</h4>
<pre><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation">FailurePropagationPackage</a>&nbsp;getFailurePropagationPackage()</pre>
<div class="block">Returns the package supported by this factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the package supported by this factory.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FailurePropagationFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationAnalysis.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationFactory.html" target="_top">Frames</a></li>
<li><a href="FailurePropagationFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
